%global debug_package %{nil}

Name:           gnustep-make
Version:        2.2.0
Release:        3%{?dist}
Summary:        GNUstep makefile package

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnustep.org/
Source0:        ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

# https://savannah.gnu.org/bugs/index.php?27433
Patch0:         %{name}-2.2.0-addgsprefix.patch
# https://savannah.gnu.org/bugs/index.php?27432
Patch1:         %{name}-2.2.0-fix-rename-note.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildConflicts: gnustep-make
BuildRequires:  texinfo-tex tetex-latex tetex-dvips latex2html texi2html
Requires:       gnustep-filesystem = %{version}-%{release}
Requires(post): info
Requires(preun): info


%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.


%package -n     gnustep-filesystem
Summary:        The basic directory layout for GNUstep packages
Group:          System Environment/Base
License:        Public Domain
BuildArch:      noarch

%description -n gnustep-filesystem
The gnustep-filesystem package contains the basic directory layout for
GNUstep packages.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        GPLv3+
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

This package contains documentation for %{name}.

%prep
%setup -q
%patch0 -p1 -b .addgsprefix
%patch1 -p1 -b .fix-release-note
sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs-system
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs-system
sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs
# /usr/share/GNUstep/Makefiles/config-noarch.make and
# /usr/share/GNUstep/Makefiles/ix86/linux-gnu/gnu-gnu-gnu/config.make
# are spoiling a pure /usr/share install
sed -i "s|=/share/GNUstep/Makefiles|=/%{_lib}/GNUstep/Makefiles|" \
    FilesystemLayouts/fhs-system

# Rename overly-generic .info files
for i in faq filesystem machines userfaq; do
    mv Documentation/{$i,gnustep-$i}.texi
done


%build
%configure --with-layout=fhs-system --enable-flattened
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-doc-%{version}
make -C Documentation GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles
make -C Documentation install GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles DESTDIR=%{buildroot}

# create remaining GNUstep directories
for i in Applications WebApplications; do
    mkdir -p %{buildroot}%{_prefix}{,/local}/lib{,64}/GNUstep/$i
done
mkdir -p %{buildroot}%{_prefix}/local/share/GNUstep/Documentation


%clean
rm -rf %{buildroot}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/GNUstep/GNUstep.conf
%{_bindir}/*
%{_libdir}/GNUstep/Makefiles
%{_mandir}/man*/*
%{_infodir}/*

%files -n gnustep-filesystem
%defattr(-,root,root,-)
%dir %{_sysconfdir}/GNUstep
%dir %{_prefix}/lib/GNUstep
%dir %{_prefix}/lib64/GNUstep
%dir %{_prefix}/lib/GNUstep/Applications
%dir %{_prefix}/lib64/GNUstep/Applications
%dir %{_prefix}/lib/GNUstep/WebApplications
%dir %{_prefix}/lib64/GNUstep/WebApplications
%dir %{_prefix}/local/lib/GNUstep
%dir %{_prefix}/local/lib/GNUstep/Applications
%dir %{_prefix}/local/lib/GNUstep/WebApplications
%dir %{_prefix}/local/lib64/GNUstep
%dir %{_prefix}/local/lib64/GNUstep/Applications
%dir %{_prefix}/local/lib64/GNUstep/WebApplications
%dir %{_datadir}/GNUstep
%dir %{_datadir}/GNUstep/Documentation
%dir %{_prefix}/local/share/GNUstep
%dir %{_prefix}/local/share/GNUstep/Documentation


%files doc
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-doc-%{version}
%doc %{_datadir}/GNUstep/Documentation/*


%changelog
* Sun Sep 13 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-3
- Package now BuildConflicts: itself (bz#473342)

* Sun Sep 13 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-2
- Rename overly-generic info files
- Fix all references to lib -> %%{_lib}
- Add more directories to gnustep-filesystem

* Sat Sep 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0
- Replace perl scripts with sed equivalents; dropping BR

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.0.8-2
- Put documentation into separate subpackage

* Wed Mar  3 2009 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.8-1
- New upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.6-14
- Remove libcombo stuff
- Make sure the libraries are going to /usr/lib64 on x86_64 architecure

* Tue Aug 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-13
- fix license tag

* Wed Aug  6 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-12
- Fix %%{_datadir} to %%{_libdir} bug in documentation build.

* Fri Jul  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-11
- Update to 2.0.6.
- Move %%{_datadir} to %%{_libdir}, see inline comment.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-9
- Really fix the make.info clash.

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-8
- Rename make.info to avoid clash with GNU make.

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-7
- Update to 2.0.4.

* Mon Feb 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-6
- Update to 1.13.0.

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-5
- Try to make FHS compliant.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-4
- Remove default -lobjc-fd2 switch.
- Disable flat hierarchy to allow for different library combos.

* Wed Jul  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-3
- Update to 1.12.0.
- Use %%{?dist} instead of %%atrelease.
- Use %%{_libdir}/GNUstep as system root.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

